Sale

McDSP

McDSP - EC-300 v6 (HD)

The EC-300 Echo Collection brings the sounds of dozens of echo and chorus effects into a single plug-in.  The three delay types – Magnetic, Digital, and Analog – come with a generous collection of user controls, plenty of character modes, highly stylized visual feedback, and McDSP’s nearly two decades of gear modeling experience. 

Each EC-300 delay type comes with additional character modes to create new and unique sounds. Other delay features include adjustable saturation, wow and flutter, delay output ducking, in-loop filtering and EQ, and level control at the input and output stages.

The EC-300 can operate in single, dual, and ping-pong modes, and delay time can be synced to session playback or to a tapped tempo.

Features

  • Three delay types – Magnetic, Digital, and Analog
  • Wide variety of character modes per delay tape
  • Saturation, Wow, Flutter, Ducking, and other delay features
  • Single, dual, and ping-pong delay operation
  • Tap tempo and session sync
  • Over 75 SIMs (Synthetic Impulse Models) included
  • Mono, stereo, and mono-to-stereo versions

____________________________________________
System Requirements

McDSP plug-ins require an iLok2 or iLok3 USB Smart Key for authorization (not cluded).

McDSP HD and Native plug-ins are compatible with Pro Tools, Pro Tools | HD, Logic 9 and Logic X, Cubase, Nuendo, Ableton Live, MOTU Digital Performer, Studio One, Sonar, and other DAWs that support AAX, AU, VST and/or VST3 plug-in formats.

McDSP Native plug-ins support AAX Native, AU, VST, and VST3 plug-in formats. McDSP HD plug-ins additionally support the AAX DSP plug-in format, as well as AAX Native, AU, VST, and VST3 plug-in formats. McDSP plug-ins support Mac OS 10.7.2 or later (Lion), 10.8.x (Mountain Lion), 10.9.x (Mavericks), 10.10.x (Yosemite), 10.11.x (El Capitan), and Windows 7, 8, and 10.

McDSP AAX plug-ins require Windows 7 or later, Mac OS 10.7.2 or later, and support Pro Tools 10.3.8 or later, 11.1.3 or later, and Pro Tools 12.x or later.

McDSP AU plug-ins require Mac OS 10.7.2 or later, and support Logic 9 and Logic X, Digital Performer, Ableton Live, and other AU compatible DAWs.

McDSP VST and VST3 plug-ins require Windows 7 or later, Mac OS 10.7.2 or later, and support Cubase 7.x or later, Nuendo 6.5.x or later, and other VST and VST3 compatible DAWs.

Most McDSP HD plug-ins also support the VENUE systems on D-Show, Profile, and SC48 hardware. Exceptions are the 6020 Ultimate EQ, 6050 Ultimate Channel Strip, AE600 Active Equalizer, SA-2 Dialog Processor, and the SPC2000 Serial/Parallel compressor. These can only run on S3L and S6L systems.

Customer Reviews

No reviews yet
0%
(0)
0%
(0)
0%
(0)
0%
(0)
0%
(0)

Customer Reviews

No reviews yet
0%
(0)
0%
(0)
0%
(0)
0%
(0)
0%
(0)